Package Gnumed :: Package exporters :: Module timeline |
[frames] | no frames]

# Module timeline

source code

Timeline exporter.

Copyright: authors

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
format_pydt(pydt, format='%Y-%m-%d %H:%M:%S') | source code
create_timeline_file(patient=None, filename=None) | source code
create_fake_timeline_file(patient=None, filename=None) | source code

Variables
| xml_start = `u"""<?xml version="1.0" encoding="utf-8`...``
| xml_end = `u`...``

Imports: sys, logging, codecs, os, gmTools, gmDateTime

Variables Details

  ### xml_start Value:
      u"""<?xml version="1.0" encoding="utf-8"?>
      <timeline>
      	<version>0.17.0</version>
      	<categories>
      		<!-- health issues -->
      		<category>
      			<name>%s</name>
      			<color>255,0,0</color>
      ...

  ### xml_end Value:
      u"""
      	</events>
      	<view>
      		<displayed_period>
      			<start>%s</start>
      			<end>%s</end>
      		</displayed_period>
      	<hidden_categories>
      ...